%define name    tig
%define version 2.3.3
%define release %mkrel 1

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Text-mode interface for the git revision control system
Group:          Development/Other
License:        GPLv2+
URL:            http://jonas.nitro.dk/tig
Source0:        http://jonas.nitro.dk/tig/releases/%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  git
BuildRequires:  ncurses-devel
BuildRequires:	ncursesw-devel
BuildRequires:  xmlto
BuildRequires:  asciidoc
Requires:       git
Obsoletes:  	%name < %version

%description
Tig is a repository browser for the git revision control system that
additionally can act as a pager for output from various git commands.

When browsing repositories, it uses the underlying git commands to present the
user with various views, such as summarized revision log and showing the commit
with the log message, diffstat, and the diff.

Using it as a pager, it will display input from stdin and colorize it.

%prep
%setup -q

%build
export LDFLAGS="$LDFLAGS -ltinfo"
%configure2_5x
%make all doc-man doc-html

#Convert to unix line endings
sed -i -e 's/\r//' *.html


%install
rm -rf %{buildroot}
%makeinstall_std install-doc-man

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING *.html
%{_bindir}/tig
%{_mandir}/man1/tig.1*
%{_mandir}/man5/tigrc.5*
%{_mandir}/man7/tigmanual.7.*
%{_sysconfdir}/%{name}rc


%changelog
* Sat Mar 24 2018 ghostbunny <ghostbunny at gmx dot de> 2.3.3-1pclos2018
- 2.3.3

* Fri Dec 22 2017 ghostbunny <ghostbunny at gmx dot de> 2.3.2-1pclos2017
- 2.3.2

* Thu Oct 05 2017 ghostbunny <ghostbunny at gmx dot de> 2.3.0-1pclos2017
- 2.3.0

* Wed Dec 21 2016 ghostbunny <ghostbunny at gmx dot de> 2.2.1-1pclos2017
- 2.2.1

* Sun Aug 28 2016 ghostbunny <ghostbunny at gmx dot de> 2.2-1pclos2016
- 2.2

* Sat Apr 11 2015 ghostbunny <ghostbunny at gmx dot de> 2.1.1-1pclos2015
- 2.1.1
- add BR ncursesw-devel
- add linker flag tinfo

* Thu Oct 09 2014 bb <bb> 2.0.3-1pclos2014
- update

* Fri May 02 2014 ghostbunny <ghostbunny at gmx dot de> 2.0.1-1pclos2014
- 2.0.1

